List Order Line Items
curl --request GET \
--url https://api.loopreturns.com/api/v1/draft-returns/{draft_return_id}/order/items \
--header 'X-Authorization: <api-key>'import requests
url = "https://api.loopreturns.com/api/v1/draft-returns/{draft_return_id}/order/items"
headers = {"X-Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Authorization': '<api-key>'}};
fetch('https://api.loopreturns.com/api/v1/draft-returns/{draft_return_id}/order/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_links": {
"self": {
"href": "<string>"
}
},
"_embedded": {
"items": [
{
"id": 123,
"description": "<string>",
"image": "<string>",
"parent_line_item_id": 123,
"price": 123,
"discount": 123,
"discounted_price": 123,
"compare_at_price": 123,
"price_original": 123,
"current_variant_price": 123,
"outcome": "<string>",
"return_reasons": [
{
"id": 123,
"name": "<string>",
"parent_return_reason_id": 123,
"parent_return_reason_name": "<string>"
}
],
"eligibility": {
"return": {
"status": true,
"reason": "<string>",
"expiration": "<string>"
},
"warranty": {
"status": true,
"reason": "<string>",
"expiration": "<string>"
}
},
"title": "<string>",
"provider_product_id": 123,
"variant": {
"id": 123,
"title": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>"
}
]
},
"advanced_exchange": {
"id": 123,
"title": "<string>",
"title_visible": true,
"options": [
{}
]
},
"capabilities": [
"<string>"
]
}
]
}
}{
"errors": [
{
"code": "unauthorized",
"message": "Unauthorized."
}
]
}Return Create
List Order Line Items
Returns the order’s line items in the context of the draft return, including return and warranty eligibility, available return reasons, variant details, and advanced-exchange options. Prices are integers in minor units (e.g. cents).
GET
/
draft-returns
/
{draft_return_id}
/
order
/
items
List Order Line Items
Authorizations
Headers
The unique identifier of the shop associated with the draft return.
This header is not required, as the merchant's shop is identified by the API key present in the request.
Optional. Responses use Content-Type: application/prs.hal-forms+json.
Available options:
application/prs.hal-forms+json Path Parameters
The unique identifier of the draft return.
Query Parameters
The page number to return (default 1).
Required range:
x >= 1Number of order line items per page. Must be between 1 and 250 (inclusive). Defaults to 10.
Required range:
1 <= x <= 250